import { BaseProvider } from '#templates/base/provider';
import { NotificationTemplate } from '#models/NotificationTemplate';

export class NotificationTemplateProvider extends BaseProvider<NotificationTemplate> {
	public static instance: NotificationTemplateProvider;

	public static getInstance(): NotificationTemplateProvider {
		NotificationTemplateProvider.instance ??= new NotificationTemplateProvider();
		return NotificationTemplateProvider.instance;
	}

	public static get model() {
		return NotificationTemplate;
	}

	constructor() {
		super('NotificationTemplate');
	}
}
